Package org.eclipse.net4j.util.container

# Class ContainerDelta<E>

java.lang.Object
org.eclipse.net4j.util.container.ContainerDelta<E>

All Implemented Interfaces:
  `IContainerDelta<E>`

public class ContainerDelta<E> extends Object implements IContainerDelta<E>
A default `container delta` implementation.

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainerDelta

`IContainerDelta.Kind`

## Constructor Summary

Constructors
Constructor
Description
`ContainerDelta(E element, IContainerDelta.Kind kind)`

## Method Summary

Modifier and Type
Method
Description
`E`
`getElement()`
`IContainerDelta.Kind`
`getKind()`
`E`
`setValue(E value)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ContainerDelta

public ContainerDelta(E element, IContainerDelta.Kind kind)

## Method Details

### getElement

public E getElement()

Specified by:
  `getElement` in interface `IContainerDelta<E>`

### setValue

public E setValue(E value)

### getKind

public IContainerDelta.Kind getKind()

Specified by:
  `getKind` in interface `IContainerDelta<E>`

### toString

public String toString()

Overrides:
  `toString` in class `Object`